org.apache.myfaces.trinidad.skin

## Class SkinMetadata.Builder

- java.lang.Object
- - org.apache.myfaces.trinidad.skin.SkinMetadata.Builder

- Enclosing class:
    SkinMetadata

      public static class SkinMetadata.Builder
      extends Object

  convenience builder class for SkinMetadata SkinMetadata object can be created using this:

       SkinMetadata mySkinMetadata = new SkinMetadata.Builder()
                                      .baseSkinId("alta-v1.desktop")
                                      .id("mySkin.desktop")
                                      .family("mySkin")
                                      .renderKitId(SkinMetadata.RenderKit.DESKTOP)
                                      .styleSheetName("my/css/location.css")
                                      .version(new SkinVersion("v1"))
                                      .build();

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinMetadata.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SkinMetadata.Builder` | `baseSkinId(String baseSkinId)` Mandatory while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
    `SkinMetadata` | `build()` call this method after you have set all the information that you wanted to
    `SkinMetadata.Builder` | `family(String family)` Mandatory while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin either this or id is typically set while querying Skin
    `SkinMetadata.Builder` | `features(SkinFeatures features)` Recommended to be set (if applicable) while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
    `SkinMetadata.Builder` | `id(String id)` Mandatory while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin either this or family is typically set while querying Skin
    `SkinMetadata.Builder` | `metadata(CustomMetadata metadata)` Recommended to be set (if applicable) while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
    `SkinMetadata.Builder` | `renderKitId(SkinMetadata.RenderKitId renderKitId)` Recommended to be set while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin
    `SkinMetadata.Builder` | `resourceBundleName(String resourceBundleName)` Recommended to be set while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
    `SkinMetadata.Builder` | `styleSheetName(String styleSheetName)` Mandatory while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
    `SkinMetadata.Builder` | `translationSource(javax.el.ValueExpression translationSource)` Recommended to be set while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
    `SkinMetadata.Builder` | `version(SkinVersion version)` Recommended to be set while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinMetadata.Builder

          public SkinMetadata.Builder()

  - ### Method Detail

    - #### id

          public SkinMetadata.Builder id(String id)

      Mandatory while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin either this or family is typically set while querying Skin
      Parameters:
        `id` -
      Returns:

    - #### family

          public SkinMetadata.Builder family(String family)

      Mandatory while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin either this or id is typically set while querying Skin
      Parameters:
        `family` -
      Returns:

    - #### renderKitId

          public SkinMetadata.Builder renderKitId(SkinMetadata.RenderKitId renderKitId)

      Recommended to be set while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin
      Parameters:
        `renderKitId` -
      Returns:

    - #### styleSheetName

          public SkinMetadata.Builder styleSheetName(String styleSheetName)

      Mandatory while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
      Parameters:
        `styleSheetName` -
      Returns:

    - #### resourceBundleName

          public SkinMetadata.Builder resourceBundleName(String resourceBundleName)

      Recommended to be set while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
      Parameters:
        `resourceBundleName` -
      Returns:

    - #### translationSource

          public SkinMetadata.Builder translationSource(javax.el.ValueExpression translationSource)

      Recommended to be set while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
      Parameters:
        `translationSource` -
      Returns:

    - #### baseSkinId

          public SkinMetadata.Builder baseSkinId(String baseSkinId)

      Mandatory while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
      Parameters:
        `baseSkinId` -
      Returns:

    - #### version

          public SkinMetadata.Builder version(SkinVersion version)

      Recommended to be set while creating a Skin using SkinFactory#createSkin can be used while querying Skin using SkinProvider#getSkin
      Parameters:
        `version` -
      Returns:

    - #### features

          public SkinMetadata.Builder features(SkinFeatures features)

      Recommended to be set (if applicable) while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
      Parameters:
        `features` -
      Returns:

    - #### metadata

          public SkinMetadata.Builder metadata(CustomMetadata metadata)

      Recommended to be set (if applicable) while creating a Skin using SkinFactory#createSkin Not used while querying Skin using SkinProvider#getSkin
      Parameters:
        `metadata` -
      Returns:

    - #### build

          public SkinMetadata build()

      call this method after you have set all the information that you wanted to
      Returns:

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.